#include <stdio.h>
#include <stdlib.h>
// vraća broj vodećih točaka - dubinu bloka koda
int vrati_dubinu(char naredba[]){
	int i, br = 0;
	for (i = 0; naredba[i] != '\0'; i++){
		if (naredba[i] == '.')
			br++;
		else
			break;
	}
	return br;
}

int main() {
	int i, br, dub, vrh = -1, pon = 1;
	int slova[26] = { 0 };
	char n[80 + 1], brpon[3] = { '\0' };
	// u svakom retku se pamti broj točaka (dubina koda) [0] i broj ponavljanja [1]
	int stog[100][2];
	printf("Unesi broj linija koda: ");
	scanf(" %d", &br);
	for (i = 0; i < br; i++){
		scanf(" %s", n);
		dub = vrati_dubinu(n);
		//na vrhu stoga se nalazi tekuća dubina
		// ako je nova dubina manja od tekuće, onda se treba vratiti "unatrag" i smanjiti broj ponavljanja
		while (vrh >= 0 && stog[vrh][0] >= dub) {
			pon = pon / stog[vrh][1];
			vrh--;
		}

		if (n[dub] == 'P'){
			// kod jedne naredbe pon = 1, kod naredbe u petlji pon je broj ponavljanja petlje
			// za poziciju u polju slovo = slovo - 'a' odnosno a = 0, b = 1, ...
			slova[n[dub + 1] - 'a'] += pon;
		}
		else {// n[dub] == 'F'
			// izdvoji broj ponavljanja
			strncpy(brpon, n + dub + 1, strlen(n)-1); 
			pon = pon * atoi(brpon);
			// stavi na stog ponavljanje
			vrh++;
			stog[vrh][0] = dub;
			stog[vrh][1] = atoi(brpon);
		}
	}
	for (i = 0; i<27; i++) {
		if (slova[i]>0)
			printf("%c %d\n", i+'a', slova[i]);
	}
	system("pause");
	return 0;
}